org.modeshape.sequencer.teiid.lexicon

## Interface TransformLexicon.JcrId

- Enclosing interface:
    TransformLexicon

      public static interface TransformLexicon.JcrId

  JCR identifiers relating to the transformation namespace.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALIAS`
    `static String` | `DELETE_ALLOWED`
    `static String` | `DELETE_SQL`
    `static String` | `DELETE_SQL_DEFAULT`
    `static String` | `INPUTS`
    `static String` | `INSERT_ALLOWED`
    `static String` | `INSERT_SQL`
    `static String` | `INSERT_SQL_DEFAULT`
    `static String` | `OUTPUT_LOCKED`
    `static String` | `SELECT_SQL`
    `static String` | `TRANSFORMED`
    `static String` | `TRANSFORMED_FROM`
    `static String` | `TRANSFORMED_FROM_HREFS`
    `static String` | `TRANSFORMED_FROM_NAMES`
    `static String` | `TRANSFORMED_FROM_XMI_UUIDS`
    `static String` | `UPDATE_ALLOWED`
    `static String` | `UPDATE_SQL`
    `static String` | `UPDATE_SQL_DEFAULT`
    `static String` | `WITH_SQL`

- - ### Field Detail

    - #### ALIAS

          static final String ALIAS

      See Also:
        Constant Field Values

    - #### DELETE_ALLOWED

          static final String DELETE_ALLOWED

      See Also:
        Constant Field Values

    - #### DELETE_SQL

          static final String DELETE_SQL

      See Also:
        Constant Field Values

    - #### DELETE_SQL_DEFAULT

          static final String DELETE_SQL_DEFAULT

      See Also:
        Constant Field Values

    - #### INPUTS

          static final String INPUTS

      See Also:
        Constant Field Values

    - #### INSERT_ALLOWED

          static final String INSERT_ALLOWED

      See Also:
        Constant Field Values

    - #### INSERT_SQL

          static final String INSERT_SQL

      See Also:
        Constant Field Values

    - #### INSERT_SQL_DEFAULT

          static final String INSERT_SQL_DEFAULT

      See Also:
        Constant Field Values

    - #### OUTPUT_LOCKED

          static final String OUTPUT_LOCKED

      See Also:
        Constant Field Values

    - #### SELECT_SQL

          static final String SELECT_SQL

      See Also:
        Constant Field Values

    - #### TRANSFORMED

          static final String TRANSFORMED

      See Also:
        Constant Field Values

    - #### TRANSFORMED_FROM

          static final String TRANSFORMED_FROM

      See Also:
        Constant Field Values

    - #### TRANSFORMED_FROM_HREFS

          static final String TRANSFORMED_FROM_HREFS

      See Also:
        Constant Field Values

    - #### TRANSFORMED_FROM_XMI_UUIDS

          static final String TRANSFORMED_FROM_XMI_UUIDS

      See Also:
        Constant Field Values

    - #### TRANSFORMED_FROM_NAMES

          static final String TRANSFORMED_FROM_NAMES

      See Also:
        Constant Field Values

    - #### UPDATE_ALLOWED

          static final String UPDATE_ALLOWED

      See Also:
        Constant Field Values

    - #### UPDATE_SQL

          static final String UPDATE_SQL

      See Also:
        Constant Field Values

    - #### UPDATE_SQL_DEFAULT

          static final String UPDATE_SQL_DEFAULT

      See Also:
        Constant Field Values

    - #### WITH_SQL

          static final String WITH_SQL

      See Also:
        Constant Field Values

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.